﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ModeloDocumentosFX
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class ModeloDocumentosFXContainer : DbContext
    {
        public ModeloDocumentosFXContainer()
            : base("name=ModeloDocumentosFXContainer")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<socioNegocio> socioNegocioSet { get; set; }
        public virtual DbSet<documento> documentoSet { get; set; }
        public virtual DbSet<notificacion> notificacionSet { get; set; }
        public virtual DbSet<configuracionNotificacion> configuracionNotificacionSet { get; set; }
        public virtual DbSet<usuarioSocioNegocio> usuarioSocioNegocioSet { get; set; }
        public virtual DbSet<dispositivo> dispositivoSet { get; set; }
        public virtual DbSet<usuarios> usuariosSet { get; set; }
        public virtual DbSet<configuracionConexion> configuracionConexionSet { get; set; }
        public virtual DbSet<configuracionProducto> configuracionProductoSet { get; set; }
        public virtual DbSet<configuracionIncumplidos> configuracionIncumplidosSet { get; set; }
        public virtual DbSet<configuracionBanco> configuracionBancoSet { get; set; }
        public virtual DbSet<VMX_FE> VMX_FE { get; set; }
        public virtual DbSet<deposito> depositoSet { get; set; }
        public virtual DbSet<depositoLinea> depositoLineaSet { get; set; }
        public virtual DbSet<configuracionCCE> configuracionCCESet { get; set; }
        public virtual DbSet<empresaLocal> empresaLocalSet { get; set; }
        public virtual DbSet<configuracionUM> configuracionUMSet { get; set; }
        public virtual DbSet<configuracionFraccionArancelaria> configuracionFraccionArancelariaSet { get; set; }
        public virtual DbSet<ndcFactura> ndcFacturaSet { get; set; }
        public virtual DbSet<CFDI_USUARIO> CFDI_USUARIO { get; set; }
        public virtual DbSet<EMPRESA> EMPRESA { get; set; }
        public virtual DbSet<ndcFacturaLinea> ndcFacturaLineaSet { get; set; }
        public virtual DbSet<cxpConciliacion> cxpConciliacionSet { get; set; }
        public virtual DbSet<configuracionUMproducto> configuracionUMproductoSet { get; set; }
    }
}
